---
updatedAt: 2025-09-23T23:12:02.000Z
agentTools:
  projectIndex: https://dexguru.readme.io/llms.txt
---

# All Transactions Page ERC-20 tab

This API endpoint is designed to retrieve a selection of token transfers from a specified network. The purpose of the query is to pull transaction information like hash, block timestamp, from/to addresses, value, and token address from the given network's token transfers.

Expected parameters include:
1. 'network' (query type) - Indicates the blockchain network from which the token transfers will be retrieved.
2. 'first' (enum type) - Specifies the maximum number of records or rows to be returned in a single select query.
3. 'skip' (text type) - Indicates how many records from the beginning will be bypassed before starting to fetch the records.

It produces outputs confirmed by the SQL structure: transaction hash, block timestamp, from address, to address, value, and the token address. Results are informative and improve transparency about token transfers. 

The data result from the API can be visualized in a table format for a well-structured and human-readable layout. <br> Clone, Modify, Create API here at <a href="https://warehouse.dex.guru/queries/76" target="_blank">View query</a>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Warehouse API Public",
    "description": "<p>To start using Warehouse API, all you need is an API key. Go to <a target=\"_blank\"\n        rel=\"noopener noreferrer\" href=\"https://developers.dex.guru\">\n        developers.dex.guru</a>, connect your web3 wallet, create a project and copy your API key.\n        This API key is all you need to start receiving reliable on-chain trading data on multiple EVM-compatible\n        networks.\n        There are two ways to authorize your API request. Instead of YOUR_API_KEY, use the key you got at developers.dex.guru.<br><br>\n        1. Query Parameter<br>\n        ex: <i>curl https://api.dev.dex.guru/warehouse/chains_supported/?api-key=YOUR_API_KEY</i><br><br>\n        2. Authorization Header<br>\n        ex: <i>curl https://api.dev.dex.guru/warehouse/chains_supported -H 'api-key: YOUR_API_KEY'</i><br>\n        </p>\n        ",
    "version": "3.1.0",
    "x-logo": {
      "url": "https://pbs.twimg.com/profile_images/1311323925545062402/lQGCxH5M_400x400.jpg"
    }
  },
  "servers": [
    {
      "url": "https://api.dev.dex.guru/"
    }
  ],
  "paths": {
    "/wh/all_txs_page_erc20": {
      "post": {
        "tags": [
          "Blockchain & Tokens",
          "Transaction & Block Explorer",
          "Network & Analytics"
        ],
        "summary": "All Transactions Page ERC-20 tab",
        "description": "This API endpoint is designed to retrieve a selection of token transfers from a specified network. The purpose of the query is to pull transaction information like hash, block timestamp, from/to addresses, value, and token address from the given network's token transfers.\n\nExpected parameters include:\n1. 'network' (query type) - Indicates the blockchain network from which the token transfers will be retrieved.\n2. 'first' (enum type) - Specifies the maximum number of records or rows to be returned in a single select query.\n3. 'skip' (text type) - Indicates how many records from the beginning will be bypassed before starting to fetch the records.\n\nIt produces outputs confirmed by the SQL structure: transaction hash, block timestamp, from address, to address, value, and the token address. Results are informative and improve transparency about token transfers. \n\nThe data result from the API can be visualized in a table format for a well-structured and human-readable layout. <br> Clone, Modify, Create API here at <a href=\"https://warehouse.dex.guru/queries/76\" target=\"_blank\">View query</a>",
        "operationId": "All_Transactions_Page_ERC_20_tab_wh_all_txs_page_erc20_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AllTxsPageErc20"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "items": {
                    "$ref": "#/components/schemas/AllTxsPageErc20Response"
                  },
                  "type": "array",
                  "title": "Response All Transactions Page Erc 20 Tab Wh All Txs Page Erc20 Post"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "APIKeyDepends": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "AllTxsPageErc20": {
        "properties": {
          "network": {
            "anyOf": [
              {},
              {
                "type": "null"
              }
            ],
            "title": "Network"
          },
          "first": {
            "anyOf": [
              {},
              {
                "type": "null"
              }
            ],
            "title": "First"
          },
          "skip": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Skip"
          }
        },
        "type": "object",
        "required": [
          "network",
          "first",
          "skip"
        ],
        "title": "AllTxsPageErc20"
      },
      "AllTxsPageErc20Response": {
        "properties": {
          "transaction_hash": {
            "anyOf": [
              {},
              {
                "type": "null"
              }
            ],
            "title": "Transaction Hash"
          },
          "block_timestamp": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Block Timestamp"
          },
          "from_address": {
            "anyOf": [
              {},
              {
                "type": "null"
              }
            ],
            "title": "From Address"
          },
          "to_address": {
            "anyOf": [
              {},
              {
                "type": "null"
              }
            ],
            "title": "To Address"
          },
          "value": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Value"
          },
          "token_address": {
            "anyOf": [
              {},
              {
                "type": "null"
              }
            ],
            "title": "Token Address"
          }
        },
        "type": "object",
        "required": [
          "transaction_hash",
          "block_timestamp",
          "from_address",
          "to_address",
          "value",
          "token_address"
        ],
        "title": "AllTxsPageErc20Response"
      },
      "HTTPValidationError": {
        "properties": {
          "detail": {
            "items": {
              "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
          }
        },
        "type": "object",
        "title": "HTTPValidationError"
      },
      "ValidationError": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      }
    },
    "securitySchemes": {
      "APIKeyDepends": {
        "type": "apiKey",
        "description": "<p>We currently support requests over HTTP and HTTPS.<br>\n        There are two ways to authorize your API request. Instead of YOUR_API_KEY, use the key you got at warehouse.dex.guru.<br><br>\n        Query Parameter<br>\n        ex:<br>\n        curl https://api.dev.dex.guru/wh/chain/?api_key=YOUR_API_KEY<br><br>\n        </p>",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "tags": [
    {
      "name": "Network & Analytics",
      "description": "Combines Network Analysis, Gas Usage, Transaction Cost, Analytics, Daily Metrics,\n          Top Spenders, Multi-Metrics, Statistical Data, Network Efficiency, Network Monitoring."
    },
    {
      "name": "Blockchain & Tokens",
      "description": " Combines Blockchain Network, ERC20 Tokens, Token Transfer, Block Data, Latest Blocks,\n          Historical Data, Gas Fees, Native Tokens, Decentralized Exchange, Chain IDs, ERC-20 Transactions."
    },
    {
      "name": "Transaction & Block Explorer",
      "description": "Combines Transaction Details, Warehouse, Transaction Hashes, Block Explorer."
    },
    {
      "name": "Transaction & Block Explorer",
      "description": ""
    },
    {
      "name": "Network & Analytics",
      "description": ""
    },
    {
      "name": "Blockchain & Tokens",
      "description": ""
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```